<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'autos',

    /*
     * Package.
     */
    'package'   => 'car',

    /*
     * Modules.
     */
    'modules'   => ['car', 'brand', 'car_model'],

    'car'       => [
        'model' => [
            'model'                 => \Autos\Car\Models\Car::class,
            'table'                 => 'cars',
            'presenter'             => \Autos\Car\Repositories\Presenter\CarPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'brand_id',  'model_id',  'body_type',  'fuel_type',  'condition',  'release_year',  'speed',  'engine',  'engine_type',  'horse_power',  'transmission',  'drive_train',  'torque',  'brake',  'color',  'gearbox',  'fuel_economy',  'video_link',  'description',  'price',  'mileage',  'images',  'door_count',  'exterior_color',  'engine_size',  'drive_type',  'address',  'features',  'neighborhood',  'city',  'state',  'country',  'zip_code',  'slug',  'status',  'user_id',  'user_type',  'upload_folder',  'slider',  'premium',  'featured',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'car/car',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Autos',
            'package'   => 'Car',
            'module'    => 'Car',
        ],

    ],
    'brand'       => [
        'model' => [
            'model'                 => \Autos\Car\Models\Brand::class,
            'table'                 => 'brands',
            'presenter'             => \Autos\Car\Repositories\Presenter\BrandPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'description',  'slug',  'status',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'car/brand',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Autos',
            'package'   => 'Car',
            'module'    => 'Brand',
        ],

    ],
    'car_model'       => [
        'model' => [
            'model'                 => \Autos\Car\Models\CarModel::class,
            'table'                 => 'car_models',
            'presenter'             => \Autos\Car\Repositories\Presenter\CarModelPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'brand_id',  'name',  'description',  'slug',  'status',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'car/car_model',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Autos',
            'package'   => 'Car',
            'module'    => 'CarModel',
        ],

    ],
];
