<?php

namespace Autos\Car\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CarModelTransformer extends TransformerAbstract
{
    public function transform(\Autos\Car\Models\CarModel $car_model)
    {
        return [
            'id'                => $car_model->getRouteKey(),
            'key'               => [
                'public'    => $car_model->getPublicKey(),
                'route'     => $car_model->getRouteKey(),
            ], 
            'brand_id'          => $car_model->brand_id,
            'name'              => $car_model->name,
            'description'       => $car_model->description,
            'slug'              => $car_model->slug,
            'user_id'           => $car_model->user_id,
            'user_type'         => $car_model->user_type,
            'upload_folder'     => $car_model->upload_folder,
            'deleted_at'        => $car_model->deleted_at,
            'url'               => [
                'public'    => trans_url('car/'.$car_model->getPublicKey()),
                'user'      => guard_url('car/car_model/'.$car_model->getRouteKey()),
            ], 
            'status'            => trans('app.'.$car_model->status),
            'created_at'        => format_date($car_model->created_at),
            'updated_at'        => format_date($car_model->updated_at),
        ];
    }
}